# Search VASP

<mark style="color:green;">`GET`</mark>  `/api/v2/directory/vasps/search`

This endpoint facilitates the retrieval of a VASP record using various lookup values, such as business and legal name representations. If the provided lookup value does not match any VASP record, the endpoint will return no results.

Query Parameters

| Name          | Type   | Description                                                                                                                                                                                               | Required |
| ------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `search_term` | string | The parameter 'search\_term' specifies the VASP (Virtual Asset Service Provider) name that the user wishes to search for in the lookup API endpoint. Example: <mark style="color:orange;">`ARCHAX`</mark> | True     |

Response

{% tabs %}
{% tab title="200" %}

```json
{
  "status": "success",
  "data": [
    {
      "vasp_id": "ABCXYZ",
      "name_legal": "Sample Ltd",
      "name_business": "Sample Ltdp",
      "address_country_code": "UK",
      "address_street_no": "32",
      "address_street_name": "Old Jewry",
      "address_city": "London",
      "address_region": "South-east England",
      "address_postcode": "EC2R 2DN",
      "website": "www.sample.io",
      "summary": "This firm is registered for certain cryptoasset activities. For more information, check out [ ]",
      "supported_protocols": [
        "flow"
      ],
      "national_id_type_code": "LEIX",
      "national_id": "3523524",
      "national_id_issue_country": null,
      "national_id_registration_authority": "RA999999"
    }
  ],
  "message": "null"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/ospree-api/accounts-directory/search-vasp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
